%define oname	FreeDiams

Name:		freediams
Version:	0.6.2
Release:	1
License:	GPLv3+
Summary:	Open-source Prescriber
Url:		http://www.freemedforms.com
Group:		Office
Source0:	http://freemedforms.googlecode.com/files/freediamsfullsources-%{version}.tgz
Source1:	freediams.png
Patch0:		freediams-0.6.2-mdv-use-system-quazip.patch
Patch1:		freediams-0.6.2-mdv-desktop.patch
BuildRequires:	doxygen
BuildRequires:	qt4-devel >= 4.6.2
BuildRequires:	quazip-devel
BuildRequires:	qt4-database-plugin-sqlite
BuildRequires:	dos2unix
BuildRequires:	chrpath
Requires:	qt4-database-plugin-sqlite
Requires:	%{name}-data = %{EVRD}
Suggests:	%{name}-doc = %{EVRD}

%description
FreeDiams prescriber is the result of FreeMedForms prescriber plug-ins built
into a standalone application. It is developed by medical doctors and is
intended for use by these same professionals. It can be used alone to prescribe
and / or test drugs interactions within a prescription. It can be linked to any
application thanks to its command line parameters. FreeDiams can use multiple
drugs database. Are currently available: Drugs database for Canada,
for the USA, for France and for South Africa. All drugs database can calculate
the drug interactions through data issued from the French governmental AFSSAPS.
FreeDiams is fully integrated in the FreeMedForms open source EMR and can be
used with GNUMed EMR and MedinTux EMR.
  
%package data
Summary:	%{oname} data

%description -n %{name}-data
This package contains the architecture independent data for %{oname}. 

%package doc-en
Summary:	%{oname} English documentation
Provides:	%{name}-doc
Requires:	locales-en

%description doc-en
This package contains English documentation for %{oname}.

%package doc-fr
Summary:	%{oname} French documentation
Provides:	%{name}-doc
Requires:	locales-fr

%description doc-fr
This package contains French documentation for %{oname}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
dos2unix *.txt

%build
lrelease global_resources/translations/*.ts
%qmake_qt4 -r -config release "CONFIG+=LINUX_INTEGRATED" INSTALL_ROOT_PATH="%{_prefix}" LIBRARY_BASENAME="%{_lib}" LOWERED_APPNAME="%{name}" %{name}.pro
%make
#chrpath -d bin/freediams/plugins/*.so bin/freediams/freediams

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%__install -D -m 644 global_resources/textfiles/freediams.desktop %{buildroot}%{_datadir}/applications/freediams.desktop
%__install -D -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png

# files for the doc package
%__mkdir -p %{buildroot}%{_docdir}/%{name}
%__mv %{buildroot}%{_datadir}/%{name}/doc/%{name}/* %{buildroot}%{_docdir}/%{name}
%__rm -rf %{buildroot}%{_datadir}/%{name}/doc

# Convert files to UNIX format
dos2unix %{buildroot}%{_datadir}/%{name}/package_helpers/%{name}.iss

# Fix permissions for directories
find %{buildroot} -type d -exec chmod a+rx {} \;

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/*pluginspec
%{_libdir}/%{name}/*so.*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.svg
#{_datadir}/pixmaps/%{name}.png
%{_libdir}/%{name}/*.so
%doc COPYING.txt README.txt

%files data
%defattr(644,root,root,755)
%dir %{_datadir}/%{name}/databases
%dir %{_datadir}/%{name}/databases/drugs
%dir %{_datadir}/%{name}/package_helpers
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}/pixmap/64x64
%dir %{_datadir}/%{name}/textfiles
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pixmap
%dir %{_datadir}/%{name}/pixmap/16x16
%dir %{_datadir}/%{name}/pixmap/16x16/flags
%dir %{_datadir}/%{name}/pixmap/32x32
%dir %{_datadir}/%{name}/pixmap/64x64
%dir %{_datadir}/%{name}/pixmap/splashscreens
%dir %{_datadir}/%{name}/pixmap/svg
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/databases/drugs/*.db
%{_datadir}/%{name}/pixmap/16x16/*.png
%{_datadir}/%{name}/pixmap/16x16/flags/*.png
%{_datadir}/%{name}/pixmap/32x32/*.png
%{_datadir}/%{name}/pixmap/64x64/*.png
%{_datadir}/%{name}/pixmap/64x64/*jpg
%{_datadir}/%{name}/pixmap/splashscreens/*.png
%{_datadir}/%{name}/pixmap/svg/*.svg
%{_datadir}/%{name}/translations/*.qm
%{_datadir}/%{name}/textfiles/*
%{_datadir}/%{name}/package_helpers/*

%files doc-en
%dir %{_defaultdocdir}/%{name}/en/

%files doc-fr
%dir %{_defaultdocdir}/%{name}/fr/


%changelog
* Tue Dec 20 2011 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.6.2-1
+ Revision: 743897
- update to 0.6.2

* Mon Oct 10 2011 Alexander Barakin <abarakin@mandriva.org> 0.5.4-1
+ Revision: 704114
- imported package freediams

